Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.media.sound
Class ModelDestination

    java.lang.Object
      com.sun.media.sound.ModelDestination

    public class ModelDestination

extends java.lang.Object

This class is used to identify destinations in connection blocks, see ModelConnectionBlock.

Author:
  Karl Helgason

Field Summary
`static ModelIdentifier` | `DESTINATION_CHORUS`
`static ModelIdentifier` | `DESTINATION_EG1_ATTACK`
`static ModelIdentifier` | `DESTINATION_EG1_DECAY`
`static ModelIdentifier` | `DESTINATION_EG1_DELAY`
`static ModelIdentifier` | `DESTINATION_EG1_HOLD`
`static ModelIdentifier` | `DESTINATION_EG1_RELEASE`
`static ModelIdentifier` | `DESTINATION_EG1_SHUTDOWN`
`static ModelIdentifier` | `DESTINATION_EG1_SUSTAIN`
`static ModelIdentifier` | `DESTINATION_EG2_ATTACK`
`static ModelIdentifier` | `DESTINATION_EG2_DECAY`
`static ModelIdentifier` | `DESTINATION_EG2_DELAY`
`static ModelIdentifier` | `DESTINATION_EG2_HOLD`
`static ModelIdentifier` | `DESTINATION_EG2_RELEASE`
`static ModelIdentifier` | `DESTINATION_EG2_SHUTDOWN`
`static ModelIdentifier` | `DESTINATION_EG2_SUSTAIN`
`static ModelIdentifier` | `DESTINATION_FILTER_FREQ`
`static ModelIdentifier` | `DESTINATION_FILTER_Q`
`static ModelIdentifier` | `DESTINATION_GAIN`
`static ModelIdentifier` | `DESTINATION_KEYNUMBER`
`static ModelIdentifier` | `DESTINATION_LFO1_DELAY`
`static ModelIdentifier` | `DESTINATION_LFO1_FREQ`
`static ModelIdentifier` | `DESTINATION_LFO2_DELAY`
`static ModelIdentifier` | `DESTINATION_LFO2_FREQ`
`static ModelIdentifier` | `DESTINATION_NONE`
`static ModelIdentifier` | `DESTINATION_PAN`
`static ModelIdentifier` | `DESTINATION_PITCH`
`static ModelIdentifier` | `DESTINATION_REVERB`
`static ModelIdentifier` | `DESTINATION_VELOCITY`

Constructor Summary
`ModelDestination()`
`ModelDestination(ModelIdentifier id)`

Method Summary
`ModelIdentifier` | `getIdentifier()`
`ModelTransform` | `getTransform()`
`void` | `setIdentifier(ModelIdentifier destination)`
`void` | `setTransform(ModelTransform transform)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DESTINATION_NONE

    public static final ModelIdentifier DESTINATION_NONE

### DESTINATION_KEYNUMBER

    public static final ModelIdentifier DESTINATION_KEYNUMBER

### DESTINATION_VELOCITY

    public static final ModelIdentifier DESTINATION_VELOCITY

### DESTINATION_PITCH

    public static final ModelIdentifier DESTINATION_PITCH

### DESTINATION_GAIN

    public static final ModelIdentifier DESTINATION_GAIN

### DESTINATION_PAN

    public static final ModelIdentifier DESTINATION_PAN

### DESTINATION_REVERB

    public static final ModelIdentifier DESTINATION_REVERB

### DESTINATION_CHORUS

    public static final ModelIdentifier DESTINATION_CHORUS

### DESTINATION_LFO1_DELAY

    public static final ModelIdentifier DESTINATION_LFO1_DELAY

### DESTINATION_LFO1_FREQ

    public static final ModelIdentifier DESTINATION_LFO1_FREQ

### DESTINATION_LFO2_DELAY

    public static final ModelIdentifier DESTINATION_LFO2_DELAY

### DESTINATION_LFO2_FREQ

    public static final ModelIdentifier DESTINATION_LFO2_FREQ

### DESTINATION_EG1_DELAY

    public static final ModelIdentifier DESTINATION_EG1_DELAY

### DESTINATION_EG1_ATTACK

    public static final ModelIdentifier DESTINATION_EG1_ATTACK

### DESTINATION_EG1_HOLD

    public static final ModelIdentifier DESTINATION_EG1_HOLD

### DESTINATION_EG1_DECAY

    public static final ModelIdentifier DESTINATION_EG1_DECAY

### DESTINATION_EG1_SUSTAIN

    public static final ModelIdentifier DESTINATION_EG1_SUSTAIN

### DESTINATION_EG1_RELEASE

    public static final ModelIdentifier DESTINATION_EG1_RELEASE

### DESTINATION_EG1_SHUTDOWN

    public static final ModelIdentifier DESTINATION_EG1_SHUTDOWN

### DESTINATION_EG2_DELAY

    public static final ModelIdentifier DESTINATION_EG2_DELAY

### DESTINATION_EG2_ATTACK

    public static final ModelIdentifier DESTINATION_EG2_ATTACK

### DESTINATION_EG2_HOLD

    public static final ModelIdentifier DESTINATION_EG2_HOLD

### DESTINATION_EG2_DECAY

    public static final ModelIdentifier DESTINATION_EG2_DECAY

### DESTINATION_EG2_SUSTAIN

    public static final ModelIdentifier DESTINATION_EG2_SUSTAIN

### DESTINATION_EG2_RELEASE

    public static final ModelIdentifier DESTINATION_EG2_RELEASE

### DESTINATION_EG2_SHUTDOWN

    public static final ModelIdentifier DESTINATION_EG2_SHUTDOWN

### DESTINATION_FILTER_FREQ

    public static final ModelIdentifier DESTINATION_FILTER_FREQ

### DESTINATION_FILTER_Q

    public static final ModelIdentifier DESTINATION_FILTER_Q

Constructor Detail

### ModelDestination

    public ModelDestination()

### ModelDestination

    public ModelDestination(ModelIdentifier id)

Method Detail

### getIdentifier

    public ModelIdentifier getIdentifier()

### setIdentifier

    public void setIdentifier(ModelIdentifier destination)

### getTransform

    public ModelTransform getTransform()

### setTransform

    public void setTransform(ModelTransform transform)

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD